# Installs in dir /

%define prefix /usr
%define sysconfdir /etc

%define server 1
Summary: PbS athentication daemon
Name: drac
Version: 1.12.BL
Release: 2
Source0: drac.tar.Z
Patch0: drac-1.12.BL-redhat.patch
Group: System Environment/Daemons
Copyright: University of Manitoba 1998 (for free use and distribution)
URL: http://mail.cc.umanitoba.ca/drac/index.html
Vendor:  Bartosz Lis <bartoszl@ics.p.lodz.pl>
BuildRoot: /var/tmp/drac-%{version}.root
Requires: portmap >= 4.0
Prereq: /sbin/chkconfig /usr/sbin/useradd /usr/sbin/groupadd /sbin/nologin

%description
DRAC is a daemon that dynamically updates a relay authorization map for
sendmail. It provides a way to allow legitimate users to relay mail through
an SMTP server, while still preventing others from using it as a spam relay. 
User's IP addresses are added to the map immediately after they have 
authenticated to the POP or IMAP server. By default, map entries expire after
30 minutes, but can be renewed by additional authentication. Periodically 
checking mail on a POP server is sufficient to do this. The POP and SMTP 
servers can be on different hosts.

%package client
Summary: PbS shared library of client routines
Group: Applications/System

%description client
DRAC is a daemon that dynamically updates a relay authorization map for
sendmail. It provides a way to allow legitimate users to relay mail through
an SMTP server, while still preventing others from using it as a spam relay. 
User's IP addresses are added to the map immediately after they have 
authenticated to the POP or IMAP server. By default, map entries expire after
30 minutes, but can be renewed by additional authentication. Periodically 
checking mail on a POP server is sufficient to do this. The POP and SMTP 
servers can be on different hosts.

This package contains the shared library used by the drac's clients.

%package devel
Summary: PbS static library of client routines and header files
Group: Development/Libraries
Requires: drac-client = %{version}

%description devel
DRAC is a daemon that dynamically updates a relay authorization map for
sendmail. It provides a way to allow legitimate users to relay mail through
an SMTP server, while still preventing others from using it as a spam relay. 
User's IP addresses are added to the map immediately after they have 
authenticated to the POP or IMAP server. By default, map entries expire after
30 minutes, but can be renewed by additional authentication. Periodically 
checking mail on a POP server is sufficient to do this. The POP and SMTP 
servers can be on different hosts.

This package contains C header and static library for developement of
drac's clients.

%package pam
Summary: PbS client pluggable into PAM
Group: Applications/System
Requires: drac-client = %{version}

%description pam
DRAC is a daemon that dynamically updates a relay authorization map for
sendmail. It provides a way to allow legitimate users to relay mail through
an SMTP server, while still preventing others from using it as a spam relay. 
User's IP addresses are added to the map immediately after they have 
authenticated to the POP or IMAP server. By default, map entries expire after
30 minutes, but can be renewed by additional authentication. Periodically 
checking mail on a POP server is sufficient to do this. The POP and SMTP 
servers can be on different hosts.

This package contains PAM module that can be plugged at runtime into 
"PAMmificied" clients.

%prep
%setup -c %{name}-%{version}
%patch -p1 -b .BL-redhat

%build
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
make DESTDIR=$RPM_BUILD_ROOT install-devel
make DESTDIR=$RPM_BUILD_ROOT install-doc

%if %server
%pre
/usr/sbin/useradd -s /bin/nologin -c "PbS daemon" -r -u 45 \
        -d /var/lib/drac drac 2>/dev/null || :
[ -d /var/lib/drac ] || mkdir -p -m 0755 /var/lib/drac >/dev/null 2>&1
chown drac:drac /var/lib/drac >/dev/null 2>&1

%post
/sbin/chkconfig --add rpc.dracd
exit 0

%preun
if [ $1 = 0 ]; then
   [ -f /var/lock/subsys/rpc.dracd ] && /etc/rc.d/init.d/rpc.dracd stop >/dev/null 2>&1
   /sbin/chkconfig --del rpc.dracd
   /usr/sbin/userdel drac 2>/dev/null || :
   /usr/sbin/groupdel drac 2>/dev/null || :
   rm -rf /var/lib/drac >/dev/null 2>&1 || :
fi
exit 0
%endif

%post client -p /sbin/ldconfig

%postun client -p /sbin/ldconfig

%if %server
%files
/usr/sbin/rpc.dracd
%config /etc/rc.d/init.d/rpc.dracd
%doc /usr/share/man/man8/rpc.dracd.8*
%doc /usr/share/doc/%{name}-%{version}/COPYRIGHT
%doc /usr/share/doc/%{name}-%{version}/Changes
%doc /usr/share/doc/%{name}-%{version}/INSTALL
%doc /usr/share/doc/%{name}-%{version}/PORTING
%doc /usr/share/doc/%{name}-%{version}/README
%doc /usr/share/doc/%{name}-%{version}/dracd.allow-sample
%doc /usr/share/doc/%{name}-%{version}/sendmail.mc.drac
%endif

%files client
/usr/lib/libdrac.so

%files devel
/usr/lib/libdrac.a
/usr/include/dracauth.h
%doc /usr/share/man/man3/dracauth.3*

%files pam
/lib/security/pam_drac.so
%doc /usr/share/doc/%{name}-%{version}/README.pam
%doc /usr/share/doc/%{name}-%{version}/pam.d/imap
%doc /usr/share/doc/%{name}-%{version}/pam.d/login
%doc /usr/share/doc/%{name}-%{version}/pam.d/pop
%doc /usr/share/doc/%{name}-%{version}/pam.d/sshd
